Bug 741266 (CVE-2011-3761) - CVE-2011-3761 php-nusoap: Installation path disclosure via a direct request to a .php file
Summary: CVE-2011-3761 php-nusoap: Installation path disclosure via a direct request t...
Keywords:
Status: CLOSED CANTFIX
Alias: CVE-2011-3761
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110130,reported=2...
Depends On: 741267 741268
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 13:01 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 06:19:12 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-26 13:01:22 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3761 to
the following vulnerability:

NuSOAP 0.9.5 allows remote attackers to obtain sensitive information via a direct request to a .php file, which reveals the installation path in an error message, as demonstrated by nuSOAP/classes/class.wsdl.php and certain other files.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3761
[2] http://www.openwall.com/lists/oss-security/2011/06/27/6
[3] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/%21_README
[4] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/NuSOAP

Comment 1 Jan Lieskovsky 2011-09-26 13:03:29 UTC
This issue affects the versions of the php-nusoap package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

This issue affects the version of the php-nusoap package, as present within EPEL-5 repository. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-09-26 13:04:50 UTC
Created php-nusoap tracking bugs for this issue

Affects: fedora-all [bug 741267]
Affects: epel-5 [bug 741268]

Comment 3 Siddhesh Poyarekar 2014-11-01 07:06:33 UTC
This appears to have been fixed in the upstream sources, but no release was cut after 0.9.5:

2011-02-28, version 0.9.6
- nusoap_base: Set initial global debug level to 0 rather than 9 

The fix sounds like a match for the flaw mentioned here, so if this package is being maintained, this backport could fix the flaw in Fedora and epel5.

Of course, if the package is unmaintained, it might make sense to just retire the package.


Note You need to log in before you can comment on or make changes to this bug.